DERApplicationSpecific (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1

## Class DERApplicationSpecific

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ASN1Primitive
    - - org.bouncycastle.asn1.ASN1ApplicationSpecific
      - - org.bouncycastle.asn1.DERApplicationSpecific

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class DERApplicationSpecific
      extends ASN1ApplicationSpecific

  A DER encoding version of an application specific object.

- - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.asn1.ASN1ApplicationSpecific

      `isConstructed, octets, tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DERApplicationSpecific(boolean constructed, int tag, ASN1Encodable object)` Create an application specific object with the tagging style given by the value of constructed.
    `DERApplicationSpecific(int tag, ASN1Encodable object)` Create an application specific object with a tagging of explicit/constructed.
    `DERApplicationSpecific(int tagNo, ASN1EncodableVector vec)` Create an application specific object which is marked as constructed
    `DERApplicationSpecific(int tag, byte[] octets)` Create an application specific object from the passed in data.

  - ### Method Summary

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1ApplicationSpecific

      `getApplicationTag, getContents, getInstance, getLengthOfHeader, getObject, getObject, hashCode, isConstructed`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Primitive

      `equals, fromByteArray, toASN1Primitive`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `getEncoded, getEncoded, hasEncodedTagValue, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DERApplicationSpecific

          public DERApplicationSpecific(int tag,
                                byte[] octets)

      Create an application specific object from the passed in data. This will assume the data does not represent a constructed object.
      Parameters:
        `tag` - the tag number for this object.
        `octets` - the encoding of the object's body.

    - #### DERApplicationSpecific

          public DERApplicationSpecific(int tag,
                                ASN1Encodable object)
                                 throws java.io.IOException

      Create an application specific object with a tagging of explicit/constructed.
      Parameters:
        `tag` - the tag number for this object.
        `object` - the object to be contained.
      Throws:
        `java.io.IOException`

    - #### DERApplicationSpecific

          public DERApplicationSpecific(boolean constructed,
                                int tag,
                                ASN1Encodable object)
                                 throws java.io.IOException

      Create an application specific object with the tagging style given by the value of constructed.
      Parameters:
        `constructed` - true if the object is constructed.
        `tag` - the tag number for this object.
        `object` - the object to be contained.
      Throws:
        `java.io.IOException`

    - #### DERApplicationSpecific

          public DERApplicationSpecific(int tagNo,
                                ASN1EncodableVector vec)

      Create an application specific object which is marked as constructed
      Parameters:
        `tagNo` - the tag number for this object.
        `vec` - the objects making up the application specific object.